Bug 187860 - K3b is not working with a Sony DRU-820A
K3b is not working with a Sony DRU-820A
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 22:04 EDT by Tony Lyon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-04 08:08:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Lyon 2006-04-03 22:04:09 EDT
Description of problem:
Each time I try and burn a CD using K3b and a  SONY DRU-820A,

I get the following message:
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdc'



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert blank CD in the DVD writer
2. Invoke K3b
3.Proceed to burn a file onto the CD.
  
Actual results:

-----------------------
K3b Version: 0.12.10

KDE Version: 3.5.1-2.3 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2080_FC5
Devices
-----------------------
SONY DVD RW DRU-820A 1.0a (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-RAM; DVD-R; DVD-RW; DVD-R DL; DVD+R; D
VD+RW; DVD+R DL] [DVD-ROM; DVD-R Sequential; DVD-R Dual Layer Sequential; DVD-R
Dual Layer Jump; DVD-RAM; DVD-RW Restricted Overwrite; DVD-RW Sequential;
DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO; SAO/R96P; S
AO/R96R; Restricted Overwrite; Layer Jump]

K3b
-----------------------
Size of filesystem calculated: 186

Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdc'
devname: '/dev/hdc'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c 1.85 05/05/16
Copyright 1997 J. Schilling').

Expected results:
That the K3b program would work as expected.


Additional info:
a) If I use a Sony CDRW, K3b works fine.
b) I am using an ASUS A8R-MVP motherboard, with a single 160 SATA hard-drive.
    The DVD writer is connected as a MASTER on the secondary ide. No other 
    devices are connected to the secondary IDE. There are no devices connected to
    the primary IDE.
c) My system has 2 Gbyte of RAM installed.
d) CPU info:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 55
model name      : AMD Athlon(tm) 64 Processor 3700+
stepping        : 2
cpu MHz         : 2205.380
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow pni
lahf_lm ts fid vid ttp
bogomips        : 4420.04
Comment 1 Tony Lyon 2006-04-04 00:14:26 EDT
Problem has been solved at my end.  I just noticed that there was a new
version of k3b mad available this evening (i.e. k3b-0.12.14-0.FC5.2) and now
my DVD-WR is working like a champ! THANKS for the update!

Note You need to log in before you can comment on or make changes to this bug.